# Indian Stock API

## Work in Progress

This project is a work in progress. The API is under active development, and features or functionality may change. Please check back for updates.

## Overview

The Indian Stock API is a Python package designed to interact with stock market data from various Indian stock exchanges. It provides a unified interface to access data from multiple brokers, simplifying integration and data retrieval.

## Features

- Unified API for multiple Indian stock brokers
- Handles data retrieval and parsing
- Configurable retry strategies for robust network requests
- Error handling for common issues

## Configuration

Configuration settings such as retry strategies can be adjusted in the `india_stocks_api/config/network.py` file.

## Running Tests

To run the tests, use pytest:

```bash
pytest
```

## Contributing

Contributions are welcome! Please fork the repository and submit a pull request with your changes.

## License

This project is licensed under the MIT License. See the [LICENSE](LICENSE) file for details.

## Version

Current version: 0.1.0

## Contact

For any inquiries, please contact [me](salunke.apurv7@gmail.com) or open an issue in the repository.

## Pending Features
- [ ] Add Caching
    - [x] Add instruments caching
    - [ ] Add access token caching
- [ ] Add more brokers
    - [x] AngelOne
    - [ ] Fyers
    - [ ] ICICI Direct
    - [ ] 5Paisa
    - [ ] Upstox
    - [ ] Kotak Securities
    - [ ] Finvasia
    - [ ] IIFL Securities
    - [ ] Zerodha
- [ ] Add rate limiting mechanism.
- [ ] Test coverage over 90%
- [ ] Create docs
- [ ] Publish to PyPI
